.pokemon-list {
    display: flex;
    min-height: calc(100vh - 240px);
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 20px;
    padding: 20px;
    background-color: #05171F;
}

.pokemon-card {
    width: 300px;
    color: white;
    background-color: #092129;
    border-radius: 24px;
    cursor: pointer;
}

.pokemon-card:hover {
    box-shadow: 0 4px 8px 0px #ffffff;
    transform: translateY(-4px);
    transition: all 0.3s ease-in-out;
}

.pokemon-card-header {
    font-size: 24px;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px;
}

.pokemon-card-header p {
    margin: 0;
}

.pokemon-card-images {
    background-color: orange;
    display: flex;
    justify-content: center;
    align-self: center;
    padding: 20px;
}

.pokemon-card-images img {
    height: 200px;
    max-width: 290px;
    object-fit: contain;
    border-radius: 12px;
}

.pokemon-card-footer {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
    gap: 10px;
}

.pokemon-skill {
    border-radius: 50%;
    height: 38px;
    padding: 5px;
}

.fire {
    background-color: orange;
}

.bug {
    background-color: #8BC34A;
}

.grass {
    background-color: #4CAF50;
}

.electric {
    background-color: #FFEB3B;
}

.ice {
    background-color: #E0F7FA;
}

.fairy {
    background-color: #F8BBD0;
}

.fighting {
    background-color: #FF5722;
}

.ground {
    background-color: #795548;
}

.poison {
    background-color: #9C27B0;
}

.psychic {
    background-color: #E91E63;
}

.rock {
    background-color: #FF9800;
}

.water {
    background-color: #2196F3;
}

.normal {
    background-color: #9E9E9E;
}

.flying {
    background-color: #00BCD4;
}